Subject: Ticket Assigned - Delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sat, 09 Apr 2022 13:05:53 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Order #9563936833

Hello, I placed the above order on 02/04/2022 and your delivery guys came with the item on 07/04/2022. It was a kid's bunk bed and while they were assembling the unit, some of the parts were missing so they left it halfway thru and went back promising they will come after 2 days to fix the rest. I was promised a visit today in the morning 09/04/2022. Despite calling customer care and complaining multiple times, nobody has come to me yet and the furniture is lying in my home half assembled. I raised a complaint under ref number 3764840 and requested to speak to a manager in charge which was turned down. This is totally unprofessional and unacceptable. I have small children at the age of 2yrs and the sharp objects which your team left behind are dangerous and unsafe. I regret choosing HOMEBOX. Kindly do the needful to send your team to either assemble the unit ASAP or take it back and refund my money. 

Regards,
Sooraj Nair
0526967900 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4148646